## mars.venus.editors
Interface MARSTextEditingArea

All Known Implementing Classes:
  GenericTextArea, JEditBasedTextArea

    public interface MARSTextEditingArea

Specifies capabilities that any test editor used in MARS must have.

Field Summary
`static int` `TEXT_FOUND`
`static int` `TEXT_NOT_FOUND`
`static int` `TEXT_REPLACED_FOUND_NEXT`
`static int` `TEXT_REPLACED_NOT_FOUND_NEXT`

Method Summary
`void` `copy()`
`void` `cut()`
`void` `discardAllUndoableEdits()`
`int` `doFindText(String find, boolean caseSensitive)`
`int` `doReplace(String find, String replace, boolean caseSensitive)`
`int` `doReplaceAll(String find, String replace, boolean caseSensitive)`
`int` `getCaretPosition()`
`Document` `getDocument()`
`Font` `getFont()`
`FontMetrics` `getFontMetrics(Font f)`
`Component` `getOuterComponent()`
`String` `getSelectedText()`
`int` `getSelectionEnd()`
`int` `getSelectionStart()`
`String` `getText()`
`UndoManager` `getUndoManager()`
`void` `grabFocus()`
`void` `paste()`
`void` `redo()`
`void` `replaceSelection(String str)`
`boolean` `requestFocusInWindow()`
`void` `revalidate()`
`void` `select(int selectionStart, int selectionEnd)`
`void` `selectAll()`
`void` `setBackground(Color c)`
`void` `setCaretBlinkRate(int rate)`
`void` `setCaretPosition(int position)`
`void` `setCaretVisible(boolean vis)`
`void` `setEditable(boolean editable)`
`void` `setEnabled(boolean enabled)`
`void` `setFont(Font f)`
`void` `setLineHighlightEnabled(boolean highlight)`
`void` `setSelectionEnd(int pos)`
`void` `setSelectionStart(int pos)`
`void` `setSelectionVisible(boolean vis)`
`void` `setSourceCode(String code, boolean editable)`
`void` `setTabSize(int chars)`
`void` `setText(String text)`
`void` `undo()`
`void` `updateSyntaxStyles()`

Field Detail

### TEXT_NOT_FOUND

    static final int TEXT_NOT_FOUND

See Also:
  Constant Field Values

### TEXT_FOUND

    static final int TEXT_FOUND

See Also:
  Constant Field Values

### TEXT_REPLACED_FOUND_NEXT

    static final int TEXT_REPLACED_FOUND_NEXT

See Also:
  Constant Field Values

### TEXT_REPLACED_NOT_FOUND_NEXT

    static final int TEXT_REPLACED_NOT_FOUND_NEXT

See Also:
  Constant Field Values

Method Detail

### copy

    void copy()

### cut

    void cut()

### doFindText

    int doFindText(String find,
                   boolean caseSensitive)

### doReplace

    int doReplace(String find,
                  String replace,
                  boolean caseSensitive)

### doReplaceAll

    int doReplaceAll(String find,
                     String replace,
                     boolean caseSensitive)

### getCaretPosition

    int getCaretPosition()

### getDocument

    Document getDocument()

### getSelectedText

    String getSelectedText()

### getSelectionEnd

    int getSelectionEnd()

### getSelectionStart

    int getSelectionStart()

### select

    void select(int selectionStart,
                int selectionEnd)

### selectAll

    void selectAll()

### getText

    String getText()

### getUndoManager

    UndoManager getUndoManager()

### paste

    void paste()

### replaceSelection

    void replaceSelection(String str)

### setCaretPosition

    void setCaretPosition(int position)

### setEditable

    void setEditable(boolean editable)

### setSelectionEnd

    void setSelectionEnd(int pos)

### setSelectionStart

    void setSelectionStart(int pos)

### setText

    void setText(String text)

### setFont

    void setFont(Font f)

### getFont

    Font getFont()

### requestFocusInWindow

    boolean requestFocusInWindow()

### getFontMetrics

    FontMetrics getFontMetrics(Font f)

### setBackground

    void setBackground(Color c)

### setEnabled

    void setEnabled(boolean enabled)

### grabFocus

    void grabFocus()

### redo

    void redo()

### revalidate

    void revalidate()

### setSourceCode

    void setSourceCode(String code,
                       boolean editable)

### setCaretVisible

    void setCaretVisible(boolean vis)

### setSelectionVisible

    void setSelectionVisible(boolean vis)

### undo

    void undo()

### discardAllUndoableEdits

    void discardAllUndoableEdits()

### setLineHighlightEnabled

    void setLineHighlightEnabled(boolean highlight)

### setCaretBlinkRate

    void setCaretBlinkRate(int rate)

### setTabSize

    void setTabSize(int chars)

### updateSyntaxStyles

    void updateSyntaxStyles()

### getOuterComponent

    Component getOuterComponent()